<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number112</title>
</head>

<body>
			<h2> JavaScript Excercise </h2>
	
	<p> <b> No.112:</b>Write a JavaScript program to find the number of trailing zeros in the decimal representation of the factorial of a given number.
	</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
	  <input type="number" id="num1" placeholder="Factorial !!!" style="width: 240px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Tap Here To Enter Vector`s Element" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	  function generate(){
		  var fact = + document.getElementById('num1').value;
		  var res = 0 ;
		  for ( i = 5 ; i <= fact ; i+=5) {
			  var num = i ;
			  while ( num % 5 == 0 ) {
				  num/=5;
				  res++;
			  }
		  }
		  document.getElementById('demo').innerHTML=
			  "Decimals of factorial is: " + res;
	  }
	</script>
</body>
</html>
